package com.example.skychasemk.dto;

import com.example.skychasemk.model.Flight;

import java.math.BigDecimal;
import java.time.LocalDate;

public class BookingDTO {

    private Integer bookingID;
    private Integer userID;
    private Flight flightId;
    private LocalDate bookingDate;
    private PaymentStatus status;
    private BigDecimal totalCost;
    private Integer seatNumber;

    public Flight getFlightId() {
        return flightId;
    }

    public void setFlightId(Flight flightId) {
        this.flightId = flightId;
    }

    public enum PaymentStatus {
        PENDING,
        COMPLETED,
        CANCELLED
    }

    // Getters and Setters
    public Integer getBookingID() {
        return bookingID;
    }

    public void setBookingID(Integer bookingID) {
        this.bookingID = bookingID;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public Flight getFlightID() {
        return flightId;
    }

    public void setFlightID(Flight flightId) {
        this.flightId = flightId;
    }

    public LocalDate getBookingDate() {
        return bookingDate;
    }

    public void setBookingDate(LocalDate bookingDate) {
        this.bookingDate = bookingDate;
    }

    public PaymentStatus getStatus() {
        return status;
    }

    public void setStatus(PaymentStatus status) {
        this.status = status;
    }

    public BigDecimal getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(BigDecimal totalCost) {
        this.totalCost = totalCost;
    }

    public Integer getSeatNumber() {
        return seatNumber;
    }

    public void setSeatNumber(Integer seatNumber) {
        this.seatNumber = seatNumber;
    }
}
